body {
  font-family: 'Hubballi', cursive;
  background-color: #f1f5f9;
  font-size: 1.6rem;
}
header {
  background-color: #0ea5e9;
  padding: 1.5rem;
  border-bottom: 1rem solid #0284c7;
}
header h1 {
  text-align: center;
  color: white;
  font-family: 'Inter', sans-serif;
  font-size: 3rem;
  margin:0;
}
.dos-columnas {
  display: grid;
  gap: 4rem;
}
@media (min-width: 768px) {
  .dos-columnas {
    grid-template-columns: repeat(2, 1fr);
  }
}
main {
  margin: 4rem auto;
  max-width: 1200px;
}
.contenedor {
  margin: 0 auto 2rem auto;
  border-radius: .5rem;
  background-color: white;
  padding: 4rem;
  -webkit-box-shadow: 0px 10px 33px -17px rgba(173,173,173,1);
  -moz-box-shadow: 0px 10px 33px -17px rgba(173,173,173,1);
  box-shadow: 0px 10px 33px -17px rgba(173,173,173,1);
  width: 100%;
}
form {
  width: 100%;
}
.campo {
  max-width: 400px;
  margin: 0 auto 1rem auto;
}
.campo label {
  display: block;

}
.campo input,
.campo select {
  all: unset;
  border: 1px solid #cbd5e1;
  width: 100%;
  border-radius: 1rem;
  padding: .5rem;
}

 input[type="submit"] {
  background-color: #0ea5e9;
  margin: 2rem auto 0 auto;
  display: block;
  padding: 1rem 3rem;
  color: white;
  text-transform: uppercase;
  font-family: 'Inter', sans-serif;
  font-size: 1rem;
  border: none;
  width: 100%;
  transition: background-color .3s ease;
}
@media (min-width: 768px) {
   input[type="submit"]  {
     max-width: 400px;
  }
}
 input[type="submit"]:hover {
  background-color: #0369a1;
}


/* // Loading */

.loading {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.sk-chase {
  width: 40px;
  height: 40px;
  position: relative;
  animation: sk-chase 2.5s infinite linear both;
}

.sk-chase-dot {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0; 
  animation: sk-chase-dot 2.0s infinite ease-in-out both; 
}

.sk-chase-dot:before {
  content: '';
  display: block;
  width: 25%;
  height: 25%;
  background-color: #0EA5E9;
  border-radius: 100%;
  animation: sk-chase-dot-before 2.0s infinite ease-in-out both; 
}

.loading-contenedor {
  display: flex;
  justify-content: center;
  align-items: center;
}

.sk-chase-dot:nth-child(1) { animation-delay: -1.1s; }
.sk-chase-dot:nth-child(2) { animation-delay: -1.0s; }
.sk-chase-dot:nth-child(3) { animation-delay: -0.9s; }
.sk-chase-dot:nth-child(4) { animation-delay: -0.8s; }
.sk-chase-dot:nth-child(5) { animation-delay: -0.7s; }
.sk-chase-dot:nth-child(6) { animation-delay: -0.6s; }
.sk-chase-dot:nth-child(1):before { animation-delay: -1.1s; }
.sk-chase-dot:nth-child(2):before { animation-delay: -1.0s; }
.sk-chase-dot:nth-child(3):before { animation-delay: -0.9s; }
.sk-chase-dot:nth-child(4):before { animation-delay: -0.8s; }
.sk-chase-dot:nth-child(5):before { animation-delay: -0.7s; }
.sk-chase-dot:nth-child(6):before { animation-delay: -0.6s; }

@keyframes sk-chase {
  100% { transform: rotate(360deg); } 
}

@keyframes sk-chase-dot {
  80%, 100% { transform: rotate(360deg); } 
}

@keyframes sk-chase-dot-before {
  50% {
    transform: scale(0.4); 
  } 100%, 0% {
    transform: scale(1.0); 
  } 
}


.weather-description {
  text-align: center;
  font-size: 1.8rem;
  margin: 1rem;
}

.weather > p:first-of-type {
  font-size: 3rem;
  font-family: 'Inter', sans-serif;
  margin: 0;
}

.weather p {
  text-align: center;
  font-size: 1.4rem;
}

.wheater p span {
  font-size: 1rem;
  vertical-align: super;
}

.temp_max_min {
  margin-top: 2rem;
  display: flex;
  justify-content: space-evenly;
  gap: 4;
}

